setDefaults()
Change display parameters, initialize fonts and cursor, sets default screens parameters.
This command is useful in conjunction with --nodefaults command line parameter, it avoid the creation of default display window when starting a .sdlbas program. This way you can open custom display without flashing windows at the beginning of the program . If you launch sdlBrt with --nodefaults option you must invoke setDefaults() command before accessing any sprites, bobs, graphic commands and all the commands involving screens and display.
Syntax:
setDefaults( width , height , depth , mode )
width is the display width.
height is the display height.
depth is display color depth. Commonly used values are:
8 = 256 mapped colors
16 = 65000 colors
32 = full colors
mode determine how display is opened. Possible values are:
0 = full screen
1 = fixed window
2 = re-sizable window
Example:
setDefault( 800, 600, 16, 1 )